# Changelog

This is the changelog for the ServiceNow update sets.

The changelog follows [this style guide](https://common-changelog.org).

When adding a new version description below please specify the follow details as appropriate:
### Changed - for changes in existing functionality
### Added - for new functionality
### Removed - for removed functionality
### Fixed - for bug fixes

---

# Update set - ticket-sync-procedure-customer-setup.xml

This update set contains the Arctic Wolf ServiceNow Setup:
- TicketSyncUtil
- Arctic Wolf - Incident Create/Update
- Arctic Wolf - Attachment Upload
- ArcticWolf_ENDPOINT_WEBHOOK_URL
- ArcticWolf_ENDPOINT_WEBHOOK_TOKEN

## 1.0.3 - Jun 23, 2023

### Fixed
- ArcticWolf_ENDPOINT_WEBHOOK_URL
  - Trim leading and trailing whitespace from the SN webhook URL
- ArcticWolf_ENDPOINT_WEBHOOK_TOKEN
  - Trim leading and trailing whitespace from the SN webhook token

## 1.0.2 - Dec 20, 2022

### Fixed
- Arctic Wolf - Attachment Upload
  - Process only incident attachments.

## 1.0.1 - Dec 14, 2022

### Fixed
- Arctic Wolf - Incident Create/Update
  - Provide a placeholder value for the caller_id instead of a sys id.

## 1.0.0 - Dec 6, 2022

- First release.

---

# Update set - servicenow-role-access-customer-setup.xml

This update set contains the Arctic Wolf Role and Permissions:
- AWN Integration Role

## 1.0.0 - Dec 6, 2022

- First release.